function Out = SpectralVectortoXYZandxyY_400to1000nm(V,step)

% Load the files
ciexyz_data = readmatrix('ciexyz31_1_extended.csv');

% Spline xyz to make it 400nm to 720 nm by a given step
T_xyz = ciexyz_data(:,2:4);

XYZ = V*T_xyz*683*step; % Spctrum to XYZ

xyY = XYZToxyY(XYZ')'; % XYZ to xyY


Out.XYZ = XYZ;
Out.xyY = xyY;

Out.XYZ(isnan(Out.XYZ))=0;
Out.xyY(isnan(Out.xyY))=0;
end
